import numpy as np
import pandas as pd
from glob import glob
import matplotlib
import matplotlib.pyplot as plt
import datetime
from matplotlib.font_manager import FontProperties


df = pd.read_csv('1105.csv', dtype={
                 '總計': int},)  # 讀取資料
## index_col=['阿美族', '泰雅族', "排灣族", "布農族", "魯凱族", "卑南族", "鄒族", "賽夏族", "雅美族", "邵族", "噶瑪蘭族", "太魯閣族", "撒奇萊雅族", "賽德克族", "拉阿魯哇族", "卡那卡那富族", "尚未申報"]

is_Total = df['性別'] == "計"
df = df[is_Total]
df = df.sum(numeric_only=True)
print(df)


chart = df.plot(kind='bar')
font = FontProperties(fname=r'Font.ttf')


for label in chart.get_xticklabels():
    label.set_fontproperties(font)  # 字體
plt.rcParams.update({'font.size': 44, "figure.figsize": (40, 30)})
plt.title('2021年5月台南原住民種族人口數量', fontproperties=font)  # 標題
plt.xlabel('種族', fontproperties=font) 
plt.ylabel('人數', fontproperties=font) 
plt.style.use('dark_background')  # 黑色主題

plt.show()  # render
